> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Voices

> Retrieves the available voices grouped by language.



## OpenAPI

````yaml get /v2/Account/Voices
openapi: 3.0.1
info:
  title: NLPearl Client API
  description: A sample API that demonstrates features in the OpenAPI specification
  version: v2
servers:
  - url: https://api.nlpearl.ai
    description: Production Environement
security:
  - bearer_auth: []
paths:
  /v2/Account/Voices:
    get:
      tags:
        - Account
      summary: Get Voices
      description: Retrieves the available voices grouped by language.
      responses:
        '200':
          description: The list of available voices grouped by language.
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LanguageVoicesViewApi'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LanguageVoicesViewApi'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LanguageVoicesViewApi'
        '400':
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    LanguageVoicesViewApi:
      type: object
      properties:
        language:
          type: string
          description: The language for this group of voices.
          nullable: true
        voices:
          type: array
          items:
            $ref: '#/components/schemas/VoiceViewApi'
          description: The list of voices available for this language.
          nullable: true
      additionalProperties: false
    ValidationProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
      additionalProperties: {}
    VoiceViewApi:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the voice.
          nullable: true
        name:
          type: string
          description: The display name of the voice.
          nullable: true
        tags:
          type: array
          items:
            type: string
          description: >-
            Tags describing the voice (for example accent, style, or other voice
            characteristics).
          nullable: true
      additionalProperties: false
  securitySchemes:
    bearer_auth:
      type: http
      description: >-
        Specify the authorization token.


        For more information, check out the [Authorization
        Guide](/api-reference/authorization).
      scheme: bearer

````